<?php
	/*
		ReadyChat 2.2.0
		Global Functions
	*/
	
	/*
		This function handles readyChat's online user list.
		It also removes inactive users.
	*/
	
	function activeUsers()
	{
		if (isset($GLOBALS["gSession"])) // Guest Session
		{
			$query_active = $GLOBALS["mysqli"]->query("SELECT user_name, user_id, active, last_active, user_room, rank FROM `users` WHERE `active` = '1' AND `user_room` = '{$GLOBALS["guest"]["guest_room"]}'");
		}
		else // Member Session
		{
			$query_active = $GLOBALS["mysqli"]->query("SELECT user_name, user_id, active, last_active, user_room, rank FROM `users` WHERE `active` = '1' AND `user_room` = '{$GLOBALS["user"]["user_room"]}' ORDER BY `rank` DESC");
		}
		
		/*
			The following creates online MEMBER listings
		*/
		
		if ($query_active->num_rows > 0)
		{
			while ($list = $query_active->fetch_array(MYSQLI_BOTH))
			{
				$hex = null;
				
				$max_time = $list["last_active"] + $GLOBALS["settings"]["idle_kick"] * 100;
			
				if (time() > $max_time) // User has been inactive too long!
				{
					$GLOBALS["mysqli"]->query("UPDATE `users` SET `active` = '0' WHERE `user_id` = '{$list["user_id"]}'");
				}
				else
				{
					switch($list["rank"])
					{
						case 2: // This user is a moderator
						{
							$rank = "moderator.png";
							$title = "Moderator";
							
							if ($GLOBALS["settings"]["mod_hex"] != null)
							{
								$hex = "style=\"color:{$GLOBALS["settings"]["mod_hex"]};\"";
							}
							
							break;
						}
						case 3: // This user is an administrator
						{
							$rank = "admin.png"; 
							$title = "Administrator";		

							if ($GLOBALS["settings"]["admin_hex"] != null)
							{
								$hex = "style=\"color:{$GLOBALS["settings"]["admin_hex"]};\"";
							}							
							
							break;
						}
						default: // This user has no rank
						{
							$rank = "user.png";			
							$title = "User";
							
							if ($GLOBALS["settings"]["member_hex"] != null)
							{
								$hex = "style=\"color:{$GLOBALS["settings"]["member_hex"]};\"";
							}			
							
							break;
						}
					}
					
					if ($GLOBALS["settings"]["allow_profiles"]) // If profiles have been enabled
					{
						if ($GLOBALS["settings"]["embedded_profiles"]) // Embeded profiles open in a chat window
						{
							echo "<div class=\"user\" embedded=\"1\" profile_id=\"{$list["user_id"]}\" user_name=\"{$list["user_name"]}\"><img src=\"template/{$GLOBALS["settings"]["template"]}/icons/{$rank}\" title=\"{$title}\"><a href=\"#\" {$hex}>{$list["user_name"]}</a></div>";
						}
						else // Embedded profiles are disabled, they will open in a new tab/window
						{
							echo "<div class=\"user\"><img src=\"template/{$GLOBALS["settings"]["template"]}/icons/{$rank}\" title=\"{$title}\"><a href=\"profile.php?uid={$list["user_id"]}\" target=\"_blank\" class=\"user_context\" {$hex}>{$list["user_name"]}</a></div>";
						}
					}
					else
					{
						echo "<div class=\"user\"><img src=\"template/{$GLOBALS["settings"]["template"]}/icons/{$rank}\" title=\"{$title}\"><a href=\"#\" class=\"user_context\" {$hex}>{$list["user_name"]}</a></div>";
					}
				}
				
				unset($rank, $title);
			}
		}
		
		/*
			The following creates online GUEST listings
		*/
		
		if (isset($GLOBALS["gSession"])) // Guest Session
		{
			$query_aguests = $GLOBALS["mysqli"]->query("SELECT guest_name, guest_id, active, guest_room, last_active FROM `guests` WHERE `active` = '1' AND `guest_room` = '{$GLOBALS["guest"]["guest_room"]}'");
		}
		else // Member Session
		{
			$query_aguests = $GLOBALS["mysqli"]->query("SELECT guest_name, guest_id, active, guest_room, last_active FROM `guests` WHERE `active` = '1' AND `guest_room` = '{$GLOBALS["user"]["user_room"]}'");
		}
		
		if ($query_aguests->num_rows > 0)
		{
			while ($guest_list = $query_aguests->fetch_array(MYSQLI_BOTH))
			{
				$hex = null;
				
				$max_time = $guest_list["last_active"] + $GLOBALS["settings"]["idle_kick"] * 100;
			
				if (time() > $max_time) // Guest has been inactive too long!
				{
					$GLOBALS["mysqli"]->query("UPDATE `guests` SET `active` = '0' WHERE `guest_id` = '{$guest_list["guest_id"]}'");
				}
				else
				{
					if ($GLOBALS["settings"]["guest_hex"] != null)
					{
						$hex = "style=\"color:{$GLOBALS["settings"]["guest_hex"]};\"";
					}	
					
					echo "<div class=\"user\" {$hex}>(Guest) {$guest_list["guest_name"]}</div>";
				}
			}
		}		
	}
	
	/*
		This function converts text to links, provided this feature is enabled in the
		administration panel.
	*/
	
	function linkable($s) 
	{
		if ($GLOBALS["settings"]["allow_links"])
		{
			$final = rtrim($s, '<');
			return preg_replace('@(https?://([-\w\.]+[-\w])+(:\d+)?(/([\w/_\.#-]*(\?\S+)?[^\.\s])?)?)@', ' <a href="$1" target="_blank">$1</a>', $final);
		}
		else
		{
			return $s;
		}
	}
	
	/*
		This function configures the required JavaScript code
		Many of these variables will be used for client sided purposes,
		the server side implementation of certain features do NOT use these variables.
	*/
	
	function readyChatConfig($config_type)
	{
		switch($config_type)
		{	
			case "JavaScript":
			{
				if (isset($GLOBALS["user"]["user_room"]))
				{
					$join_room = $GLOBALS["user"]["user_room"];
				}
				else
				{
					$join_room = $GLOBALS["settings"]["default_room"];
				}
				
				echo "
					var goto = \"empty\";
					var autopoll = {$GLOBALS["settings"]["auto_poll"]};
					var room = {$join_room};
					var autoscroll = 1;
					var kicked = 0;
					var roomKey = 0;
					var inputReady = 0;
					var pms = {$GLOBALS["settings"]["private_messages"]};
					var time = {$GLOBALS["config"]["time"]};
					var lastMsg = 0;
					var audioAlerts = 1;
					var spammed = false;
					var spamTimer = {$GLOBALS["settings"]["spam"]};
					var siteTitle = \"{$GLOBALS["settings"]["site_title"]}\";
					var site_template = \"{$GLOBALS["settings"]["template"]}\";
				";
				
				/*
					Configure client sided HEX codes
				*/
				

				if (isset($GLOBALS["user"]))
				{
					switch($GLOBALS["user"]["rank"])
					{
						case 2:
						{
							if ($GLOBALS["settings"]["mod_hex"] != null)
							{
								echo "var colourHEX = \"{$GLOBALS["settings"]["mod_hex"]}\";";
							}
							else
							{
								echo "var colourHEX = \"\";";
							}
							
							break;
						}
						case 3:
						{
							if ($GLOBALS["settings"]["admin_hex"] != null)
							{
								echo "var colourHEX = \"{$GLOBALS["settings"]["admin_hex"]}\";";						
							}
							else
							{
								echo "var colourHEX = \"\";";
							}
							
							break;
						}
						default:
						{
							if ($GLOBALS["settings"]["member_hex"] != null)
							{
								echo "
									var colourHEX = \"{$GLOBALS["settings"]["member_hex"]}\";
								";
							}
							else
							{
								echo "
									var colourHEX = null;
								";								
							}
							
							break;
						}
					}
				}
				else
				{
					if ($GLOBALS["settings"]["guest_hex"] != null)
					{
						echo "var colourHEX = \"{$GLOBALS["settings"]["guest_hex"]}\";";							
					}
					else
					{
						echo "var colourHEX = \"\";";
					}
				}
				
				if (!isset($GLOBALS["gSession"]))
				{
					if ($GLOBALS["user"]["rank"] > 1 && $GLOBALS["settings"]["spam_exempt"] == 1)
					{
						echo "var spamExempt = 1;";
					}
					else
					{
						echo "var spamExempt = 0;";
					}
				}
				else
				{
					echo "var spamExempt = 0;";
				}
				
				if (!isset($GLOBALS["gSession"]))
				{
					echo "var my_id = {$GLOBALS["user"]["user_id"]};";
				}
				else
				{
					echo "var my_id = {$GLOBALS["guest"]["guest_id"]};";
				}
				
				break;
			}
			
			case "PrivateChat":
			{
				echo "
					var cid = \"" . rcClean($_GET["cid"]) . "\";
					var time = 0;
					var autoscroll = 1;
					var audioAlerts = 1;
					var spamTimer = {$GLOBALS["settings"]["spam"]};
					var lastMsg = 0;
					var initialLoad = 1;
					var site_template = \"{$GLOBALS["settings"]["template"]}\";
				";
			}
		}
	}
	
	/*
		Sanitize User Input
	*/
	
	function rcClean($string)
	{
		$return = $GLOBALS["mysqli"]->real_escape_string($string);
		
		return $return;
	}

	/*
		This function compresses HTML
	*/
	
	function rcCompress($chtml)
	{
		return str_replace(array("\n","\r","\t"),'',$chtml);
	}

?>
	